SAVECORE(8)

NAME
savecore - save a core dump of the operating system

SYNOPSIS
savecore -c
savecore [-fvz] [-N system] directory

DESCRIPTION
Savecore copies the currently running kernel and its associated core dump into directory, and enters a reboot message and information about the core dump into the system log.

The options are as follows:

-c  Clears the dump, so that future invocations of savecore will ignore it.

-f  Forces a dump to be taken even if the dump doesn't appear correct or there is insufficient disk space.

-N  Use system as the kernel instead of the running kernel (as determined from getbootfile(3) ).

-v  Prints out some additional debugging information.

-z  Compresses the core dump and kernel (see compress(1) ).

Savecore checks the core dump in various ways to make sure that it is current and that it corresponds to the currently running system. If it passes these checks, it saves the core image in directory/vmcore.# and the system in directory/kernel.# The ``#'' is the number from the first line of the file directory/bounds, and it is incremented and stored back into the file each time savecore successfully runs.

Savecore also checks the available disk space before attempting to make the copies. If there is insufficient disk space in the filesystem containing directory, or if the file directory/minfree exists and the number of free kilobytes (for non-superusers) in the filesystem after the copies were made would be less than the number in the first line of this file, the copies are not attempted.

If savecore successfully copies the kernel and the core dump, the core dump is cleared so that future invocations of savecore will ignore it.

Savecore is meant to be called near the end of the initialization file /etc/rc (see rc(8)).

BUGS
The minfree code does not consider the effect of compression.

SEE ALSO
compress(1), getbootfile(3), syslogd(8)

HISTORY
The savecore command appeared in 4.1BSD.